summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorCraig Andrews <candrews@gentoo.org>2021-09-30 21:16:55 -0400
committerCraig Andrews <candrews@gentoo.org>2021-09-30 21:17:12 -0400
commitc52c28fe60dfe958f67928fc381bb1a335d7280e (patch)
treeb95735dc30a03ac6dc6dc8c999d591244bd3bb77
parentwww-apache/mod_h2: 2.0.0_rc4 version bump (diff)
downloadgentoo-c52c28fe60dfe958f67928fc381bb1a335d7280e.tar.gz
gentoo-c52c28fe60dfe958f67928fc381bb1a335d7280e.tar.bz2
gentoo-c52c28fe60dfe958f67928fc381bb1a335d7280e.zip
net-p2p/cpuminer-opt: 3.18.0 version bump
Package-Manager: Portage-3.0.26, Repoman-3.0.3 Signed-off-by: Craig Andrews <candrews@gentoo.org>
-rw-r--r--net-p2p/cpuminer-opt/Manifest1
-rw-r--r--net-p2p/cpuminer-opt/cpuminer-opt-3.18.0.ebuild49
2 files changed, 50 insertions, 0 deletions
diff --git a/net-p2p/cpuminer-opt/Manifest b/net-p2p/cpuminer-opt/Manifest
index 9675d0415ec..2bf67182dde 100644
--- a/net-p2p/cpuminer-opt/Manifest
+++ b/net-p2p/cpuminer-opt/Manifest
@@ -1,2 +1,3 @@
DIST cpuminer-opt-3.16.4.tar.gz 1830534 BLAKE2B c9fa07c36b634b0d1250b847baa4a971aad0b249aaf7792b4a69c42c5c98cc6b3e4fe20c95fdab9884520decc6e9d7071158a641863f1c0d2443dd096e372f2b SHA512 7459a9c6ad7afd85fdb8f7ff62c9deae2a2fc8341e3cf39da0f72e81bff8829e094bb830fb614fbce9665bbb259d764eb64b6d2a44ac45ecdd9ee870190d6539
DIST cpuminer-opt-3.17.1.tar.gz 1840571 BLAKE2B db07547ec79df92f644e903485fb51abfddeafe2ecaffd18c0438cf292d51c6167eafaf7aa2b89cb6b7698d4358a4ef970459bff7b063cfd6d3a95ad878126eb SHA512 463d755bbb3146ef94292ae64a8a2397485e28b55d4b510881dd91461e3bcc2786a323cf575dd070481236b150c35af2898b5ab2b0db90c34f528821988af74c
+DIST cpuminer-opt-3.18.0.tar.gz 1869910 BLAKE2B 23e090cb9c077fc69f6eee64a522676c078de268e512c588a7d93e1bd3e3904a9e5dbc937a58c21b031f685175b2f2164df04a4f7f22f8129d5183d1b990ec2f SHA512 9144a39b7470682835b57b5ff34810933af5712b4bb2e83a2b5241aeeb13747884f5f48e22e9a71512831b56d345ee5f0e6fd226a8a30d5d10243b4a99f1476c
diff --git a/net-p2p/cpuminer-opt/cpuminer-opt-3.18.0.ebuild b/net-p2p/cpuminer-opt/cpuminer-opt-3.18.0.ebuild
new file mode 100644
index 00000000000..1cd33b0d51c
--- /dev/null
+++ b/net-p2p/cpuminer-opt/cpuminer-opt-3.18.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools flag-o-matic systemd
+
+DESCRIPTION="Optimized multi algo CPU miner"
+HOMEPAGE="https://github.com/JayDDee/cpuminer-opt"
+IUSE="cpu_flags_x86_sse2 curl"
+LICENSE="GPL-2"
+SLOT="0"
+REQUIRED_USE="cpu_flags_x86_sse2"
+DEPEND="
+ dev-libs/gmp:=
+ dev-libs/jansson:=
+ >=net-misc/curl-7.15[ssl]
+ dev-libs/openssl:0=
+"
+RDEPEND="${DEPEND}"
+if [[ ${PV} == "9999" ]] ; then
+ SRC_URI=""
+ EGIT_REPO_URI="https://github.com/JayDDee/${PN}.git"
+ inherit git-r3
+else
+ KEYWORDS="~amd64"
+ SRC_URI="https://github.com/JayDDee/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+fi
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ append-ldflags -Wl,-z,noexecstack
+ econf --with-crypto --with-curl
+}
+
+src_install() {
+ default
+ systemd_dounit "${FILESDIR}"/${PN}.service
+ insinto "/etc/${PN}"
+ doins cpuminer-conf.json
+}
+
+src_test() {
+ ./cpuminer --cputest || die
+}